Bug 427423 - [RHEL 5.2]: Build warning on i686 with -62 kernel
[RHEL 5.2]: Build warning on i686 with -62 kernel
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2008-01-03 13:42 EST by Chris Lalancette
Modified: 2008-05-21 11:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:05:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch that should resolve this issue (untested) (438 bytes, patch)
2008-01-03 14:04 EST, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2008-01-03 13:42:09 EST
Description of problem:
When building the -62 kernel with the kernel-2.6.18-i686.config, I see the
following build warning a few different times:

In file included from init/main.c:57:
include/asm/setup.h:20:1: warning: "COMMAND_LINE_SIZE" redefined
In file included from include/linux/sched.h:42,
                 from include/linux/module.h:9,
                 from init/main.c:15:
include/asm/param.h:21:1: warning: this is the location of the previous definition

Looking at it with Don, this seems to be new between -58 and -62; I haven't
tracked it down further than that.
Comment 1 Prarit Bhargava 2008-01-03 14:04:39 EST
Created attachment 290758 [details]
Patch that should resolve this issue (untested)
Comment 2 RHEL Product and Program Management 2008-01-03 14:25:52 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Prarit Bhargava 2008-01-03 17:19:00 EST
Patch in comment #1 compiles clean, boots clean.  I think this patch is the way
to go -- we shouldn't remove the duplicate definition of COMMAND_LINE_SIZE in
param.h because we might break customer's out-of-tree drivers.

Comment 4 Chris Lalancette 2008-01-03 17:38:50 EST
     Yep, based on earlier conversation, agreed (also ACK'ed by me now).  To
follow up about upstream, with the x86 merge, they have indeed removed the
duplicate definition of COMMAND_LINE_SIZE; it is now just defined in

Chris Lalancette
Comment 5 Don Zickus 2008-01-14 15:05:23 EST
in 2.6.18-68.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2008-05-21 11:05:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.